=== debian/changelog ===
qhull (2020.2-7) unstable; urgency=medium

  * Bump CMake policy minimum version to 3.5 (Closes: #1113442)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Sep 2025 12:53:42 +0200

qhull (2020.2-6) unstable; urgency=medium

  * Avoid deprecation warning with CMake 3.27 (Closes: #1040724)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:44:21 +0200

qhull (2020.2-5) unstable; urgency=medium

  * Update my email address
  * Enable LTO build
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 22:02:20 +0200

qhull (2020.2-4) unstable; urgency=medium

  * Recommend -dev package for the header symlinks (Closes: #988869)

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 21:49:17 +0200

qhull (2020.2-3) unstable; urgency=medium

  * New approach to filter libstdc++ symbols (should fix FTBFS on kfreebsd-*)
  * Add myself as uploader

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 23:59:26 +0100

qhull (2020.2-2) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop ldconfig (not needed)

  [ Timo Röhling ]
  * Fix d/watch
  * Add new autopkgtest that verifies functionality

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 12 Nov 2020 19:01:23 +0100

qhull (2020.2-1) unstable; urgency=medium

  * Team upload.

  [ Barak A. Pearlmutter ]
  * uscan version 4

  [ Timo Röhling ]
  * Rewrite manual pages in groff and update links
  * Mark autopkgtest as superficial
  * New upstream version 2020.2
  * Add warning to README.Debian that the non-reentrant libqhull
    is likely to be discontinued after the 8.0.x releases.

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 11 Nov 2020 15:10:39 +0100
