=== debian/tests/control ===
Tests:
 build,
Depends:
 cmake,
 g++ | c++-compiler,
 gcc | c-compiler,
 libqhull-dev,
 pkg-config,
Restrictions:
 superficial,

Tests:
 compute,
Depends:
 qhull-bin,
